## soapyhackrf 0.2.2

=== CMakeLists.txt ===
######################################################################## 
 # Build Soapy SDR support module for HackRF
 ######################################################################## 

cmake_minimum_required(VERSION 2.8.7)
project(SoapyHackRF CXX)

find_package(SoapySDR "0.4.0" NO_MODULE)
 if (NOT SoapySDR_FOUND) 
    message(FATAL_ERROR "Soapy SDR development files not found...") 
 endif () 

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
find_package(LIBHACKRF)

if (NOT LIBHACKRF_FOUND) 
     message(FATAL_ERROR "HackRF development files not found...") 
endif () 
message(STATUS "LIBHACKRF_INCLUDE_DIR - ${LIBHACKRF_INCLUDE_DIR}")
message(STATUS "LIBHACKRF_LIBRARIES - ${LIBHACKRF_LIBRARIES}")


include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${LIBHACKRF_INCLUDE_DIR})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)

endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

SOAPY_SDR_MODULE_UTIL(
    TARGET HackRFSupport
    SOURCES
	HackRF_Registation.cpp
	HackRF_Settings.cpp
	HackRF_Streaming.cpp
	HackRF_Session.cpp
    LIBRARIES ${LIBHACKRF_LIBRARIES}
)

=== debian/changelog ===
soapyhackrf (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
    - adapted to libhackrf API changes (closes: #841619)
  * Mark soapysdr-module-hackrf as Multi-Arch: same
  * Use debhelper compat level 10 instead of 9

 -- Andreas Bombe <aeb@debian.org>  Mon, 24 Oct 2016 18:58:16 +0200

soapyhackrf (0.2.1+git20160919-1) unstable; urgency=medium

  * Initial release (Closes: #834379)

 -- Andreas Bombe <aeb@debian.org>  Sat, 24 Sep 2016 12:52:16 +0200

=== debian/control ===
Source: soapyhackrf
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr-dev,
    libhackrf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyHackRF/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyhackrf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyhackrf.git

Package: soapysdr0.5-2-module-hackrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: HackRF device support for SoapySDR
 The Soapy HackRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the open source HackRF device
 to transmit and receive.

Package: soapysdr-module-hackrf
Architecture: any
Multi-Arch: same
Depends: soapysdr0.5-2-module-hackrf, ${misc:Depends}
Description: HackRF device support for SoapySDR (default version)
 The Soapy HackRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the open source HackRF device
 to transmit and receive.
 .
 This is an empty dependency package that pulls in the HackRF module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.5-2-module-hackrf

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

## soapyhackrf 0.3.1

=== debian/changelog ===
soapyhackrf (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Adjust Josh Blum copyright years and add Kevin Mehall to debian/copyright
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 18:51:10 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     libhackrf-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyHackRF/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyhackrf.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyhackrf.git
 
-Package: soapysdr0.5-2-module-hackrf
+Package: soapysdr0.6-module-hackrf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: HackRF device support for SoapySDR
  The Soapy HackRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +27,7 @@
 Package: soapysdr-module-hackrf
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-hackrf, ${misc:Depends}
+Depends: soapysdr0.6-module-hackrf, ${misc:Depends}
 Description: HackRF device support for SoapySDR (default version)
  The Soapy HackRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

## soapyhackrf 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,12 @@
 if (NOT LIBHACKRF_FOUND) 
      message(FATAL_ERROR "HackRF development files not found...") 
 endif () 
-message(STATUS "LIBHACKRF_INCLUDE_DIR - ${LIBHACKRF_INCLUDE_DIR}")
+message(STATUS "LIBHACKRF_INCLUDE_DIRS - ${LIBHACKRF_INCLUDE_DIRS}")
 message(STATUS "LIBHACKRF_LIBRARIES - ${LIBHACKRF_LIBRARIES}")
 
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-include_directories(${LIBHACKRF_INCLUDE_DIR})
+include_directories(${LIBHACKRF_INCLUDE_DIRS})
 
 #enable c++11 features
 if(CMAKE_COMPILER_IS_GNUCXX)

=== debian/changelog ===
soapyhackrf (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Bump Standards-Version to 4.1.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 24 Nov 2017 00:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     cmake,
     libsoapysdr0.6-dev,
     libhackrf-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: https://github.com/pothosware/SoapyHackRF/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyhackrf.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyhackrf.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.5-2-module-hackrf
+	dh_installdocs --link-doc=soapysdr0.6-module-hackrf
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.txt

## soapyhackrf 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,14 @@
 message(STATUS "LIBHACKRF_INCLUDE_DIRS - ${LIBHACKRF_INCLUDE_DIRS}")
 message(STATUS "LIBHACKRF_LIBRARIES - ${LIBHACKRF_LIBRARIES}")
 
+#version check for recent hackrf with device list API
+message(STATUS "Checking for hackrf_device_list API...")
+message(STATUS "  Reading ${LIBHACKRF_INCLUDE_DIRS}/hackrf.h...")
+file(READ ${LIBHACKRF_INCLUDE_DIRS}/hackrf.h hackrf_h)
+string(FIND "${hackrf_h}" "hackrf_device_list" has_hackrf_device_list)
+if ("${has_hackrf_device_list}" STREQUAL "-1")
+    message(FATAL_ERROR "  libhackrf too old, missing hackrf_device_list API")
+endif()
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${LIBHACKRF_INCLUDE_DIRS})

=== debian/changelog ===
soapyhackrf (0.3.3-3) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:25:50 +0200

soapyhackrf (0.3.3-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 13 Sep 2019 00:43:18 +0200

soapyhackrf (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Change Vcs fields in debian/control to point to new location on
    salsa.debian.org
  * Increase debhelper compat level to 11
  * Drop unnecessary --parallel option from dh invocation
  * Bump Standards-Version to 4.1.4, no changes required
  * Include /usr/share/dpkg/architecture.mk in debian/rules instead of
    defining DEB_HOST_MULTIARCH ourselves

 -- Andreas Bombe <aeb@debian.org>  Mon, 28 May 2018 03:36:24 +0200

=== debian/control ===
Source: soapyhackrf
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 12),
    cmake,
    libsoapysdr0.7-dev,
    libhackrf-dev
Standards-Version: 4.4.1
Homepage: https://github.com/pothosware/SoapyHackRF/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyhackrf
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyhackrf.git

Package: soapysdr0.7-module-hackrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.7-module
Description: HackRF device support for SoapySDR
 The Soapy HackRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the open source HackRF device
 to transmit and receive.

Package: soapysdr-module-hackrf
Architecture: any
Multi-Arch: same
Depends: soapysdr0.7-module-hackrf, ${misc:Depends}
Description: HackRF device support for SoapySDR (default version)
 The Soapy HackRF project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of the open source HackRF device
 to transmit and receive.
 .
 This is an empty dependency package that pulls in the HackRF module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for definition of DEB_HOST_MULTIARCH
include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.7-module-hackrf

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyHackRF/releases .*/soapy-hackrf-([\d\.]+)\.tar\.(?:xz|gz|bz2)

## soapyhackrf 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,9 +55,20 @@
 SOAPY_SDR_MODULE_UTIL(
     TARGET HackRFSupport
     SOURCES
-	HackRF_Registation.cpp
+	HackRF_Registration.cpp
 	HackRF_Settings.cpp
 	HackRF_Streaming.cpp
 	HackRF_Session.cpp
     LIBRARIES ${LIBHACKRF_LIBRARIES}
 )
+
+########################################################################
+# uninstall target
+########################################################################
+add_custom_target(uninstall
+    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+

=== debian/changelog ===
soapyhackrf (0.3.4-3) unstable; urgency=medium

  * Update to soapy-hackrf-0.3.4-7-g143ff5e (Closes: #1113518)
  * Just use HackRF entries in metainfo file (Closes: #1102250)
  * Bump Standards-Version to 4.6.2, no changes required

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Oct 2025 21:22:40 -0400

soapyhackrf (0.3.4-2) unstable; urgency=medium

  * Team upload.
  * Add Appstream metainfo XML (Closes: #1078108)
    - Thanks to Petter Reinholdtsen for the patch

 -- Dave Hibberd <hibby@debian.org>  Tue, 04 Mar 2025 23:59:15 +0000

soapyhackrf (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4
  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:51:49 +0530

soapyhackrf (0.3.3-5) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:24:47 +0200

soapyhackrf (0.3.3-4) experimental; urgency=low

  [ Andreas Bombe ]
  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Add Rules-Requires-Root field to d/control
  * Increase debhelper compat level to 13
  * Bump Standards-Version to 4.6.0, no changes required

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Bombe <aeb@debian.org>  Thu, 26 Aug 2021 19:45:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,24 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Andreas Bombe <aeb@debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>,
+           A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     libhackrf-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/pothosware/SoapyHackRF/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyhackrf
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyhackrf.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-hackrf
+Package: soapysdr0.8-module-hackrf
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: HackRF device support for SoapySDR
  The Soapy HackRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -27,7 +29,7 @@
 Package: soapysdr-module-hackrf
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-hackrf, ${misc:Depends}
+Depends: soapysdr0.8-module-hackrf, ${misc:Depends}
 Description: HackRF device support for SoapySDR (default version)
  The Soapy HackRF project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.7-module-hackrf
+	dh_installdocs --link-doc=soapysdr0.8-module-hackrf
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.txt
